/****************************************************************************

USB-CAN-Interface Communication Center
Dialog: ber das Programm

(c) 2019-2020 Reusch Elektronik, Dipl.-Ing. (FH) Rainer Reusch

Created: 2020-03-15
Changed: 2020-03-15

*****************************************************************************/

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "UnitAbout.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "VersionInfo"
#pragma link "JDUrlLabel"
#pragma resource "*.dfm"

TFormAbout *FormAbout;

//---------------------------------------------------------------------------
__fastcall TFormAbout::TFormAbout(TComponent* Owner)
	: TForm(Owner)
{
	//
}

//---------------------------------------------------------------------------
void __fastcall TFormAbout::FormCreate(TObject *Sender)
{
	ClientWidth = BitBtnClose->Left+BitBtnClose->Width+16;
	ClientHeight = BitBtnClose->Top+BitBtnClose->Height+16;
	LabelVersion->Caption = "V"+VersionInfo1 ->FileVersion;
	LabelCopyright->Caption = VersionInfo1->LegalCopyright;
#ifdef _DEBUG
	LabelDebug->Visible = true;
#else
	LabelDebug->Visible = false;
#endif;
}

//---------------------------------------------------------------------------
void __fastcall TFormAbout::Execute(TPoint WinPos)
//---------------------------------------------------------------------------
{
	Left = WinPos.x;
	Top = WinPos.y;
	ShowModal();
}

//---------------------------------------------------------------------------
