/****************************************************************************

USB-CAN-Interface Communication Center
Dialog: Gertekonfiguration

(c) 2019-2020 Reusch Elektronik, Dipl.-Ing. (FH) Rainer Reusch

Created: 2020-03-13
Changed: 2020-03-13

*****************************************************************************/

//---------------------------------------------------------------------------

#ifndef UnitDeviceConfigH
#define UnitDeviceConfigH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Buttons.hpp>
#include "uci_common.h"
//---------------------------------------------------------------------------
class TFormDeviceConfig : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
	TLabel *Label1;
	TComboBox *ComboBoxSpeed;
	TCheckBox *CheckBoxTermination;
	TCheckBox *CheckBoxRetransmission;
	TCheckBox *CheckBoxLoopBackMode;
	TBitBtn *BitBtnOk;
	TBitBtn *BitBtnCancel;
	void __fastcall FormCreate(TObject *Sender);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
	__fastcall TFormDeviceConfig(TComponent* Owner);
	bool __fastcall Execute(TPoint WinPos, TDeviceConfig *ADeviceConfig);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormDeviceConfig *FormDeviceConfig;
//---------------------------------------------------------------------------
#endif
