/****************************************************************************

USB-CAN-Interface Communication Center
Anzeige von Gerteinformationen

(c) 2020 Dipl.-Ing. (FH) Rainer Reusch, Reusch Elektronik

RADStudio XE7

Erstellt: 2020-03-12
Letzte nderung: 2020-03-12

*****************************************************************************/

//---------------------------------------------------------------------------

#ifndef UnitDeviceInformationH
#define UnitDeviceInformationH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "UnitComm.h"
#include <Vcl.Buttons.hpp>
#include <Vcl.Grids.hpp>
//---------------------------------------------------------------------------

class TFormDeviceInfo : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
	TBitBtn *BitBtnClose;
	TStringGrid *StringGrid1;
	TMemo *Memo1;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall StringGrid1MouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift,
          int X, int Y);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
	__fastcall TFormDeviceInfo(TComponent* Owner);
	void __fastcall Execute(TPoint WinPos, TDevComm *ADevComm);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormDeviceInfo *FormDeviceInfo;
//---------------------------------------------------------------------------
#endif
