//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <tchar.h>
//---------------------------------------------------------------------------
USEFORM("UnitFilter.cpp", FormFilter);
USEFORM("UnitEditMsg.cpp", FormEditMsg);
USEFORM("UnitDeviceInformation.cpp", FormDeviceInfo);
USEFORM("UnitMain.cpp", FormMain);
USEFORM("UnitDeviceConfig.cpp", FormDeviceConfig);
USEFORM("UnitAbout.cpp", FormAbout);
USEFORM("UnitConnect.cpp", FormConnect);
//---------------------------------------------------------------------------
int WINAPI _tWinMain(HINSTANCE, HINSTANCE, LPTSTR, int)
{
	try
	{
		Application->Initialize();
		Application->MainFormOnTaskBar = true;
		Application->CreateForm(__classid(TFormMain), &FormMain);
		Application->CreateForm(__classid(TFormEditMsg), &FormEditMsg);
		Application->CreateForm(__classid(TFormConnect), &FormConnect);
		Application->CreateForm(__classid(TFormDeviceInfo), &FormDeviceInfo);
		Application->CreateForm(__classid(TFormDeviceConfig), &FormDeviceConfig);
		Application->CreateForm(__classid(TFormFilter), &FormFilter);
		Application->CreateForm(__classid(TFormAbout), &FormAbout);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
